﻿#include <iostream>
#include <vector>
#include <string>
#include <algorithm>
#include <cmath>
#include <set>
#include <map>

using namespace std;

using ll = long long;

ll gcd(ll a, ll b) {
    if (b == 0) return a;
    return gcd(b, a % b);
}

int main()
{
    ll a, b; cin >> a >> b;
    ll g = gcd(a, b);
    a /= g; b /= g;
    if (a == b) {
        if (a == 1) {
            cout << 'R';
            return 0;
        }
        cout << "no";
        return 0;
    }
    if (a < b) {
        cout << "RL";
        string ans;
        ll x = 1, y = 2;
        while (x < a) {
            x++; y++;
            ans += 'R';
        }
        while (y < b) {
            y++;
            ans += 'L';
        }
        cout << ans;
        return 0;
    }
    cout << "RR";
    string ans;
    ll x = 2, y = 1;
    while (y < b) {
        x++; y++;
        ans += 'L';
    }
    while (x < a) {
        x++;
        ans += 'R';
    }
    cout << ans;
}
