﻿#include <iostream>
#include <vector>
#include <string>
#include <algorithm>
#include <cmath>
#include <set>
#include <map>

using namespace std;

using ll = long long;

ll gcd(ll a, ll b) {
    if (b == 0) return a;
    return gcd(b, a % b);
}

int main()
{
    ll a, b; cin >> a >> b;
    ll g = gcd(a, b);
    a /= g; b /= g;
    if (a == b) {
        if (a == 1) {
            cout << 'R';
            return 0;
        }
        cout << "no";
        return 0;
    }
    ll x = 1, y = 1;
    ll xl = 0, yl = 1, xr = 1, yr = 0;
    string ans = "R";
    while (a * y != b * x) {
        if (a * y < b * x) {
            xr = x; yr = y;
            x = xl + xr;
            y = yl + yr;
            ans += 'L';
            continue;
        }
        xl = x; yl = y;
        x = xl + xr;
        y = yl + yr;
        ans += 'R';
    }
    cout << ans;
}
